package com.kupal.commons.cs.exception;

import org.apache.log4j.Logger;

/**
 * @author Krauchenia Sergey
 *         Date: 21.07.2010
 *         Time: 15:26:58
 */
public class ServiceException extends RuntimeException{

    public ServiceException() {
    }

    public ServiceException(String message) {
        super(message);
    }

    public ServiceException(String message, Throwable cause) {
        super(message, cause);
    }

    public ServiceException(Throwable cause) {
        super(cause);
    }

    public ServiceException(String message, Logger log) {
        this(message);
        log.error(message);
    }

    public ServiceException(String message, Throwable throwable, Logger log) {
        this(message, throwable);
        log.error(message, throwable);
    }

    public ServiceException(Throwable throwable, Logger log) {
        this(throwable);
        log.error(throwable);
    }
}
